#define UPTIME_USAGE "\
Command Line Parameters:\r\n\
-?\tHelp\r\n\
-d\tDisplay the local time and date\r\n\
-t\tShow a tray icon where a right click closes the applicaton\t\t\r\n\
-x n\tX coordinate for positioning [0..100]\r\n\
-y n\tY coordinate for positioning [0..100]\r\n\
-c BBGGRR\r\n\tText display color where:\r\n\
\t        BB = hex value for the blue component [0..FF]\r\n\
\t        GG = hex value for the green component [0..FF]\r\n\
\t        RR = hex value for the red component [0..FF]"

#define WM_TRAYNOTIFY       (WM_APP + 0)

extern BOOL CALLBACK MainDlgProc(HWND hDlg, UINT uiMsg, WPARAM wParam, LPARAM lParam);

extern BOOL OnInitDialog(HWND hDlg, UINT uiMsg, WPARAM wParam, LPARAM lParam);
extern BOOL OnSysColorChange(HWND hDlg, UINT uiMsg, WPARAM wParam, LPARAM lParam);
extern BOOL OnDisplayChange(HWND hDlg, UINT uiMsg, WPARAM wParam, LPARAM lParam);
extern BOOL OnCtlColorStatic(HWND hDlg, UINT uiMsg, WPARAM wParam, LPARAM lParam);
extern BOOL OnClose(HWND hDlg, UINT uiMsg, WPARAM wParam, LPARAM lParam);
extern BOOL OnDestroy(HWND hDlg, UINT uiMsg, WPARAM wParam, LPARAM lParam);
extern BOOL OnCommand(HWND hDlg, UINT uiMsg, WPARAM wParam, LPARAM lParam);
extern BOOL OnSysCommand(HWND hDlg, UINT uiMsg, WPARAM wParam, LPARAM lParam);
extern BOOL OnTimer(HWND hDlg, UINT uiMsg, WPARAM wParam, LPARAM lParam);

extern INT OpenPdh();
extern VOID ClosePdh();
extern VOID GetCommandOpts(CHAR * pszCmdOpts);